%define anolis_release 1
Name:		zd1211-firmware
Version:	1.5
Release:    %{anolis_release}%{dist}

Summary:	Firmware for wireless devices based on zd1211 chipset
License:	GPLv2
URL:		http://zd1211.wiki.sourceforge.net
Source0:	http://downloads.sourceforge.net/zd1211/zd1211-firmware-%{version}.tar.bz2
Patch0:		0001-zd1211-firmware-1.4-build__from_headers.patch
BuildArch:	noarch

BuildRequires: make
BuildRequires:  gcc

%description
This package contains the firmware required to work with the zd1211 chipset.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}
sed -i 's/\r//' *.h

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
make install FW_DIR=$RPM_BUILD_ROOT/lib/firmware/zd1211 

%files
%license COPYING
%dir /lib/firmware/zd1211
/lib/firmware/zd1211/*

%files doc
%doc README

%changelog
* Wed Mar 22 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.5-1
- Init package from upstream
